Page MenuHomePhabricator

Separate mediawiki.page.patrol.ajax to be useable in mobile
Closed, ResolvedPublic

Description

As commented in https://gerrit.wikimedia.org/r/#/c/213202/

Maybe a seperation of the module into a backend and frontend module is possible to be useable and smart enough for mobile :)

Event Timeline

Florian created this task.Jun 5 2015, 6:43 AM
Florian claimed this task.
Florian raised the priority of this task from to Low.
Florian updated the task description. (Show Details)
Florian added subscribers: gerritbot, Maryana, Andyrom75 and 9 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2015, 6:43 AM
MaxSem removed a subscriber: MaxSem.Jun 5 2015, 6:45 AM

Change 213202 had a related patch set uploaded (by Florianschmidtwelzow):
Make mediawiki.page.patrol.ajax.js and the patrol link more flexible

https://gerrit.wikimedia.org/r/213202

Change 216128 had a related patch set uploaded (by Florianschmidtwelzow):
Some design to the matrol link and use ajax to patrol

https://gerrit.wikimedia.org/r/216128

Was this solved? Or does it actually not block T55684: Add support for mobile change patrolling?

Was this solved? Or does it actually not block T55684: Add support for mobile change patrolling?

It's something special i think: Patrolling is already available, but it's reload the page and doesn't use the ajax that we know from desktop. It's not blocking it in fact, but it's related :) (Btw.: The blocking was added by the "Create subtask" workflow).

Jdlrobson set Security to None.
Jdlrobson changed the task status from Open to Stalled.Sep 23 2015, 7:45 PM
Nemo_bis renamed this task from Seperate mediawiki.page.patrol.ajax to be useable in mobile to Separate mediawiki.page.patrol.ajax to be useable in mobile.Sep 25 2015, 6:40 AM

Change 213202 merged by jenkins-bot:
diff: Make DifferenceEngine patrol link creation more flexible

https://gerrit.wikimedia.org/r/213202

Change 216128 merged by jenkins-bot:
Some design to the patrol link and use ajax to patrol

https://gerrit.wikimedia.org/r/216128

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 8:17 PM
Jdlrobson closed this task as Resolved.Nov 24 2016, 12:39 AM

Above patches were merged. This should be working now (?). Please create a new ticket if there is something more specific that needs doing.

kaldari removed a subscriber: kaldari.Nov 24 2016, 4:39 AM